aboutsummaryrefslogtreecommitdiffstats
path: root/trunk/scripts/makerpm.sh
diff options
context:
space:
mode:
authorJ. Alexander Treuman <jat@spatialrift.net>2007-05-28 13:09:41 +0000
committerJ. Alexander Treuman <jat@spatialrift.net>2007-05-28 13:09:41 +0000
commit6e5c90e098005b66f86a9fd99a26956cbaa0c392 (patch)
treed5699855fe945b0b02e511c87def301d119ae922 /trunk/scripts/makerpm.sh
parent28c7a91d2462128a7df9a417cbbd59cad89ba19b (diff)
downloadmpd-6e5c90e098005b66f86a9fd99a26956cbaa0c392.tar.gz
mpd-6e5c90e098005b66f86a9fd99a26956cbaa0c392.tar.xz
mpd-6e5c90e098005b66f86a9fd99a26956cbaa0c392.zip
Re-tagging 0.13.0 release to fix a couple of bugs with the tarball.
git-svn-id: https://svn.musicpd.org/mpd/tags/release-0.13.0@6325 09075e82-0dd4-0310-85a5-a0d7c8717e4f
Diffstat (limited to 'trunk/scripts/makerpm.sh')
-rwxr-xr-xtrunk/scripts/makerpm.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/trunk/scripts/makerpm.sh b/trunk/scripts/makerpm.sh
new file mode 100755
index 000000000..bfa2b47f0
--- /dev/null
+++ b/trunk/scripts/makerpm.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+PWD=`pwd`
+
+## If we're not in the scripts directory
+## assume the base directory.
+if test "`basename $PWD`" != "scripts"; then
+ MYOLDPWD=`pwd`
+ cd `dirname $0`
+fi
+
+./makedist.sh
+
+rpmbuild -bb mpd.spec
+
+if test $? -eq 0; then
+ echo 'Your RPM should be ready now'
+else
+ echo 'Something went wrong when building your RPM'
+fi
+
+if test -f ../mpd-?.??.?.tar.gz;
+then
+ rm ../mpd-?.??.?.tar.gz
+fi
+
+if test "`basename $PWD`" != "scripts"; then
+ cd $MYOLDPWD
+fi